Permalink
Browse files

Upgrade to .NET Core 2.1

  • Loading branch information...
mythz committed Jul 2, 2018
1 parent 893f445 commit 5acad94d208a7df7d605111e08756e4dd00bc91b
Showing with 8 additions and 12 deletions.
  1. +4 −4 MyApp.Tests/MyApp.Tests.csproj
  2. +2 −6 MyApp/MyApp.csproj
  3. +1 −1 MyApp/webpack.config.vendor.js
  4. +1 −1 README.md
@@ -1,7 +1,7 @@
<Project Sdk="Microsoft.NET.Sdk">
<PropertyGroup>
<TargetFramework>netcoreapp2.0</TargetFramework>
<TargetFramework>netcoreapp2.1</TargetFramework>
<DebugType>portable</DebugType>
<OutputType>Library</OutputType>
</PropertyGroup>
@@ -10,9 +10,9 @@
<ProjectReference Include="..\MyApp.ServiceInterface\MyApp.ServiceInterface.csproj" />
<ProjectReference Include="..\MyApp.ServiceModel\MyApp.ServiceModel.csproj" />
<PackageReference Include="NUnit" Version="3.9.0" />
<PackageReference Include="NUnit3TestAdapter" Version="3.9.0" />
<PackageReference Include="Microsoft.NET.Test.Sdk" Version="15.5.0" />
<PackageReference Include="NUnit" Version="3.10.*" />
<PackageReference Include="NUnit3TestAdapter" Version="3.10.*" />
<PackageReference Include="Microsoft.NET.Test.Sdk" Version="15.7.*" />
<PackageReference Include="ServiceStack" Version="5.*" />
<PackageReference Include="ServiceStack.Kestrel" Version="5.*" />
</ItemGroup>
View
@@ -1,7 +1,7 @@
<Project Sdk="Microsoft.NET.Sdk.Web">
<PropertyGroup>
<TargetFramework>netcoreapp2.0</TargetFramework>
<TargetFramework>netcoreapp2.1</TargetFramework>
<TypeScriptToolsVersion>2.5</TypeScriptToolsVersion>
<TypeScriptCompileBlocked>true</TypeScriptCompileBlocked>
</PropertyGroup>
@@ -11,7 +11,7 @@
</ItemGroup>
<ItemGroup>
<PackageReference Include="Microsoft.AspNetCore.All" Version="2.0.0" />
<PackageReference Include="Microsoft.AspNetCore.All" Version="2.1.*" />
<PackageReference Include="ServiceStack" Version="5.*" />
</ItemGroup>
@@ -20,10 +20,6 @@
<ProjectReference Include="..\MyApp.ServiceModel\MyApp.ServiceModel.csproj" />
</ItemGroup>
<ItemGroup>
<DotNetCliToolReference Include="Microsoft.DotNet.Watcher.Tools" Version="2.0.0" />
</ItemGroup>
<Target Name="OnFirstUse" BeforeTargets="Build" Condition=" !Exists('wwwroot\dist') ">
<Exec Command="node --version" ContinueOnError="true"><Output TaskParameter="ExitCode" PropertyName="ErrorCode" /></Exec>
<Error Condition="'$(ErrorCode)' != '0'" Text="Node.js is required to build and run this project. To continue, please install Node.js from https://nodejs.org/, and then restart your command prompt or IDE." />
@@ -56,7 +56,7 @@ module.exports = (env) => {
})
].concat(isDev ? [] : [
new webpack.optimize.UglifyJsPlugin({ sourceMap: true }),
new Clean([root('bin/Release/netcoreapp2.0/publish/wwwroot/dist')]),
new Clean([root('bin/Release/netcoreapp2.1/publish/wwwroot/dist')]),
])
}];
View
@@ -1,6 +1,6 @@
# angular-lite-spa
.NET Core 2.0 Angular4 and Material Design Lite Webpack App Template
.NET Core 2.1 Angular4 and Material Design Lite Webpack App Template
[![](https://raw.githubusercontent.com/ServiceStack/Assets/master/csharp-templates/angular-lite-spa.png)](http://angular-lite-spa.web-templates.io/)

0 comments on commit 5acad94

Please sign in to comment.